# Az - Lêer Deel Post Exploitatie

{{#include ../../../banners/hacktricks-training.md}}

Lêer Deel Post Exploitatie

Vir meer inligting oor lêer dele, kyk:

{{#ref}}
../az-services/az-file-shares.md
{{#endref}}

### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/read`

'n Hoofpersoon met hierdie toestemming sal in staat wees om **lys** die lêers binne 'n lêer deel en **af te laai** die lêers wat moontlik **sensitiewe inligting** kan bevat.
```bash
# List files inside an azure file share
az storage file list \
--account-name <name> \
--share-name <share-name> \
--auth-mode login --enable-file-backup-request-intent

# Download an specific file
az storage file download \
--account-name <name> \
--share-name <share-name> \
--path <filename-to-download> \
--dest /path/to/down \
--auth-mode login --enable-file-backup-request-intent
```
### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/write`, `Microsoft.Storage/storageAccounts/fileServices/writeFileBackupSemantics/action`

'n Hoofpersoon met hierdie toestemming sal in staat wees om **lêers in lêerdelings te skryf en te oorskryf** wat hom mag toelaat om skade aan te rig of selfs bevoegdhede te verhoog (bv. om 'n bietjie kode wat in 'n lêerdeling gestoor is, te oorskryf):
```bash
az storage blob upload \
--account-name <acc-name> \
--container-name <container-name> \
--file /tmp/up.txt --auth-mode login --overwrite
```
### \*/delete

Dit sal toelaat om 'n lêer binne die gedeelde lêerstelsel te verwyder wat dalk **sekere dienste kan onderbreek** of die kliënt **waardevolle inligting kan laat verloor**.

{{#include ../../../banners/hacktricks-training.md}}
